# ~/.profile: executed by the command interpreter for login shells.
# This file is not read by bash(1), if ~/.bash_profile or ~/.bash_login
# exists.
# see /usr/share/doc/bash/examples/startup-files for examples.
# the files are located in the bash-doc package.

# the default umask is set in /etc/profile; for setting the umask
# for ssh logins, install and configure the libpam-umask package.
umask 077

PATH=/sbin:/bin:/usr/sbin:/usr/bin
export LD_LIBRARY_PATH=

# if running bash
if [ -n "$BASH_VERSION" ]; then
    # include .bashrc if it exists
    if [ -f "$HOME/.bashrc" ]; then
	. "$HOME/.bashrc"
    fi
fi

# if there is a /usr/local directory that has a bin file, add it to the path
if [ -d "/usr/local/bin" ] ; then
    PATH="/usr/local/bin:$PATH"
fi

# if there is a /usr/local directory that has a lib directory, add it to the library path
if [ -d "/usr/local/lib" ] ; then
    if [ -z "$LD_LIBRARY_PATH" ] ; then
	export LD_LIBRARY_PATH="/usr/local/lib"
    else
	export LD_LIBRARY_PATH="/usr/local/lib:$LD_LIBRARY_PATH"
    fi
fi

# set PATH so it includes user's private bin if it exists
if [ -d "$HOME/bin" ] ; then
    PATH="$HOME/bin:$PATH"
fi

# set LD_LIBRARY_PATH to include the user's private lib if it exists
if [ -d "$HOME/lib" ] ; then
    if [ -z "$LD_LIBRARY_PATH" ] ; then
	export LD_LIBRARY_PATH="$HOME/lib"
    else
	export LD_LIBRARY_PATH="$HOME/lib:$LD_LIBRARY_PATH"
    fi
fi

